import type { Renderer } from "../renderer/Renderer";
import type { Node } from "./Node";
/**
 * Takes a renderer and a root of a tree and commands the renderer to paint it. Used every frame.
 *
 * @param ui renderer instance that will get commands issued to it.
 * @param node root of the tree to paint.
 * @returns
 */
export declare function paint(ui: Renderer, node: Node): void;
