import { Vec2 } from "./Vec2";
export type Packing = {
    height: number;
    positions: Array<Vec2>;
    width: number;
};
/**
 * Takes sizes of rectangles and packs them into a single texture. Width and
 * height will be the next power of two.
 */
export declare function packShelves(sizes: Array<Vec2>): Packing;
