import { Vec2 } from "../math/Vec2";
import type { Renderer } from "../renderer/Renderer";
import type { Node } from "./Node";
/**
 * Takes tree of nodes processed by `layout()` and calculates current positions based on
 * accumulated scroll values and calculates parent clipping rectangle.
 */
export declare function compose(ui: Renderer, node: Node, clipStart?: Vec2, clipSize?: Vec2, scrollOffset?: Vec2): void;
