export class Tree {
    value;
    next = null;
    prev = null;
    firstChild = null;
    lastChild = null;
    parent = null;
    constructor(value) {
        this.value = value;
    }
    add(node) {
        node.parent = this;
        if (this.firstChild === null) {
            this.firstChild = node;
            this.lastChild = node;
        }
        else {
            if (this.lastChild === null) {
                throw new Error("Last child must be set.");
            }
            node.prev = this.lastChild;
            this.lastChild.next = node;
            this.lastChild = node;
        }
        return node;
    }
}
//# sourceMappingURL=Tree.js.map