import { BaseView } from "../layout/BaseView";
export function getByTestId(root, testId) {
    let c = root.firstChild;
    while (c) {
        if (c.testID === testId) {
            return c;
        }
        if (c instanceof BaseView) {
            const inSubTree = getByTestId(c, testId);
            if (inSubTree) {
                return inSubTree;
            }
        }
        c = c.next;
    }
    return null;
}
//# sourceMappingURL=getByTestId.js.map