import type { Lookups } from "../font/types";
import { View } from "../layout/View";
import type { TextStyleProps, ViewStyleProps } from "../layout/styling";
export declare class Button extends View {
    constructor(props: {
        label: string;
        lookups: Lookups;
        onClick?(): void;
        style?: ViewStyleProps;
        testID?: string;
        textStyle?: Partial<TextStyleProps>;
    });
}
